import { requestClient } from '#/api/request';

enum Api {
  equStatu = '/eims/board/equStatu',
  monthMaint = '/eims/board/monthMainit',
  monthReq = '/eims/board/monthReq',
  spareWarn = '/eims/board/spareWarn',
  todayInsp = '/eims/board/todayInsp',
  todoList = '/eims/board/todoList'
}

/**
 * 查询【todolist】板块数据
 * @param query
 * @returns {*}
 */

export function queryTodoList(params?: any) {
  return requestClient.get<any[]>(Api.todoList, { params });
}

/**
 * 查询【备件库存预警】板块数据
 * @param query
 * @returns {*}
 */
export function querySpareWarn(params?: any) {
  return requestClient.get<any>(Api.spareWarn, { params });
}

/**
 * 查询【设备状态】板块数据
 * @param query
 * @returns {*}
 */
export function queryEquStatu(params?: any) {
  return requestClient.get<any>(Api.equStatu, { params });
}

/**
 * 查询【点检统计】板块数据
 * @param query
 * @returns {*}
 */
export function queryTodayInsp(params?: any) {
  return requestClient.get<any>(Api.todayInsp, { params });
}

/**
 * 查询【本月维修】板块数据
 * @param query
 * @returns {*}
 */
export function queryMonthReq(params?: any) {
  return requestClient.get<any>(Api.monthReq, { params });
}

/**
 * 查询【本月保养】板块数据
 * @param query
 * @returns {*}
 */
export function queryMonthMainit(params?: any) {
  return requestClient.get<any>(Api.monthMaint, { params });
}
